//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Web.UI.WebControls;
using CommunityServer.Blogs.Components;
using CommunityServer.Components;

namespace CommunityServer.Blogs.Controls
{
	/// <summary>
	/// Summary description for CommentModerationDropDownList.
	/// </summary>
	public class CommentModerationDropDownList : DropDownList
	{
		public CommentModerationDropDownList()
		{
		}

        protected override void OnInit(System.EventArgs e)
        {
            if(AllowIgnore)
                this.Items.Add(new ListItem(ResourceManager.GetString("CommentModerationDropDownList_Ignore"), CommentModerationType.Ignore.ToString()));

            this.Items.Add(new ListItem(ResourceManager.GetString("CommentModerationDropDownList_None"), CommentModerationType.None.ToString()));
            this.Items.Add(new ListItem(ResourceManager.GetString("CommentModerationDropDownList_Anonymous"), CommentModerationType.Anonymous.ToString()));
            this.Items.Add(new ListItem(ResourceManager.GetString("CommentModerationDropDownList_All"), CommentModerationType.All.ToString()));


            base.OnInit (e);
        }


        private bool _allowIgnore = false;

        public bool AllowIgnore
        {
            get{return _allowIgnore;}
            set {_allowIgnore = value;}
        }
	}
}